<?php
/*------------------------------------------------------------------------------------
# mod_add-to-calendar - A 'Add To Calendars Button' module for Joomla 3.x & 4.x v1.1.1
# ------------------------------------------------------------------------------------
# author    Joom4U
# copyright Copyright (C) 2023 Joom4U. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.joom4u.com
-------------------------------------------------------------------------------------*/
// No direct access
defined('_JEXEC') or die('Restricted access');
defined('DS') or define('DS', DIRECTORY_SEPARATOR);
JHtml::_('bootstrap.framework');
JHtml::_('jquery.framework');
// Import the file / foldersystem
jimport('joomla.filesystem.file');
jimport('joomla.filesystem.folder');

$LiveSite = JURI::base();
$document = JFactory::getDocument();
$modbase = JURI::base(true).'/modules/mod_add-to-calendar/';
$document->addScript ($modbase.'js/add-to-calendar-button.js');
$moduleID = $module->id;
$eventTitle = $params->get('eventTitle');
$eventLocation = $params->get('eventLocation');
$eventDiscription = $params->get('eventDiscription');
$eventStartDate = $params->get('eventStartDate');
$eventEndDate = $params->get('eventEndDate');
$eventRecurrence = $params->get('eventRecurrence');
$recurrence = $params->get('recurrence');
$recurrenceCount = $params->get('recurrenceCount');
$recurrencebyDay = $params->get('recurrencebyDay');
$eventStartTime = $params->get('eventStartTime');
$eventEndTime = $params->get('eventEndTime');
$allDay = $params->get('allDay');
$eventTimeZone = $params->get('eventTimeZone');
$Apple = $params->get('Apple');
$Google = $params->get('Google');
$Outlook = $params->get('Outlook');
$iCal = $params->get('iCal');
$Microsoft365 = $params->get('Microsoft365');
$MicrosoftTeams = $params->get('MicrosoftTeams');
$Yahoo = $params->get('Yahoo');
$calendarList = $params->get('calendarList');
$buttonStyle = $params->get('buttonStyle');
$buttonText = $params->get('buttonText');
$buttonSize = $params->get('buttonSize');
$listStyle = $params->get('listStyle');
$hideIconButton = $params->get('hideIconButton');
$hideIconList = $params->get('hideIconList');
$lightMode = $params->get('lightMode');
$hideBranding = $params->get('hideBranding');
$createCustomCSS = $params->get('createCustomCSS');
$customCSS = $params->get('customCSS');

require_once (dirname(__FILE__).'/helper.php');
require JModuleHelper::getLayoutPath('mod_add-to-calendar', $params->get('layout', 'default'));
?>